# this is a tcl customization file for the audit_forwarder utility
# 3 common examples have been included below with the first one as default
#
# NB:  it is important to understand that Transform is an agreed upon name.

# return everything -- the default case
proc Transform {inputdata trim_tmsh} {
    if {$trim_tmsh == "true"} {
        if [string match "*AUDIT - client tmsh*" $inputdata] {
            return ""
        }
    }
    return $inputdata
}

# drop input ending with show or list
#proc Transform {inputdata trim_tmsh} {
#   if {$trim_tmsh == "true"} {
#       if [string match "*AUDIT - client tmsh*" $inputdata] {
#           return ""
#       }
#   }
#   if [regexp show$ $inputdata]  {
#       return ""
#   }
#   if [regexp list$ $inputdata] {
#       return ""
#   }
#   return $inputdata
#}

# given data like "Mar 20 03:28:44 local/localhost info ..."
# drop off the date and space
#proc Transform {inputdata trim_tmsh} {
#   if {$trim_tmsh == "true"} {
#       if [string match "*AUDIT - client tmsh*" $inputdata] {
#           return ""
#       }
#   }
#   return [string range $inputdata 16 end]
#}
